EnTT: entt::component_traits< Type, Entity, typename > Struct Template Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Types | Static Public Attributes | List of all members
entt::component_traits< Type, Entity, typename > Struct Template Reference

Common way to access various properties of components. More...

`#include <component.hpp>`

## Public Types
using | element_type = Type
| Element type.
using | entity_type = Entity
| Underlying entity identifier.

## Static Public Attributes
static constexpr bool | in_place_delete = internal::in_place_delete<Type>::value
| Pointer stability, default is false.
static constexpr std::size_t | page_size = internal::page_size<Type>::value
| Page size, default is ENTT_PACKED_PAGE for non-empty types.

## Detailed Description

template<typename Type, typename Entity, typename>
struct entt::component_traits< Type, Entity, typename >

Common way to access various properties of components.

Template Parameters

  Type | Element type.
  Entity | A valid entity type.

Definition at line 43 of file component.hpp.

## Member Typedef Documentation

## ◆ element_type

template<typename Type, typename Entity, typename>

using entt::component_traits< Type, Entity, typename >::element_type = Type

Element type.

Definition at line 47 of file component.hpp.

## ◆ entity_type

template<typename Type, typename Entity, typename>

using entt::component_traits< Type, Entity, typename >::entity_type = Entity

Underlying entity identifier.

Definition at line 49 of file component.hpp.

## Member Data Documentation

## ◆ in_place_delete

template<typename Type, typename Entity, typename>

bool entt::component_traits< Type, Entity, typename >::in_place_delete = internal::in_place_delete<Type>::value
| staticconstexpr

Pointer stability, default is false.

Definition at line 52 of file component.hpp.

## ◆ page_size

template<typename Type, typename Entity, typename>

std::size_t entt::component_traits< Type, Entity, typename >::page_size = internal::page_size<Type>::value
| staticconstexpr

Page size, default is ENTT_PACKED_PAGE for non-empty types.

Definition at line 54 of file component.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/component.hpp